Bug 838568 - Review Request: rubygem-abrt - ABRT support for Ruby
Summary: Review Request: rubygem-abrt - ABRT support for Ruby
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-09 13:45 UTC by Vít Ondruch
Modified: 2016-12-01 00:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-25 16:39:49 UTC
jfilak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Vít Ondruch 2012-07-09 13:45:27 UTC
Spec URL: http://people.redhat.com/vondruch/rubygem-abrt.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-abrt-0.0.2-1.fc18.src.rpm
Description: Provides ABRT reporting support for libraries/applications written using Ruby.
Fedora Account System Username: vondruch
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4227061

Comment 1 Vít Ondruch 2012-07-17 14:08:20 UTC
Hi, I prepared updated packages with latest upstream version.

Spec URL: http://people.redhat.com/vondruch/rubygem-abrt.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-abrt-0.0.3-1.fc18.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4246508

Comment 2 Jakub Filak 2012-09-19 08:16:02 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (abrt-0.0.3.gem) Source1 (abrt-0.0.3-specs.tar.gz)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Language ====
[x]: MUST Gem package must not define a non-gem subpackage
[x]: MUST Gem package must exclude cached Gem.
[ ]: MUST Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: MUST Gem package is named rubygem-%{gem_name}
[x]: MUST Package contains BuildRequires: rubygems-devel.
[x]: MUST Gem package must define %{gem_name} macro.
[x]: MUST Pure Ruby package must be built as noarch
[x]: MUST Package contains Requires: ruby(abi).
[x]: SHOULD Specfile should utilize macros from rubygem-devel package.
[x]: SHOULD Test suite should not be run by rake.
[x]: SHOULD Test suite of the library should be run.


Rpmlint
-------
Checking: rubygem-abrt-0.0.3-1.fc19.noarch.rpm
          rubygem-abrt-0.0.3-1.fc19.src.rpm
          rubygem-abrt-doc-0.0.3-1.fc19.noarch.rpm
rubygem-abrt.noarch: E: explicit-lib-dependency libreport-filesystem
rubygem-abrt.noarch: W: no-documentation
rubygem-abrt.src: W: invalid-url Source1: abrt-0.0.3-specs.tar.gz
3 packages and 0 specfiles checked; 1 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-abrt-doc
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
rubygem-abrt-0.0.3-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    config(rubygem-abrt) = 0.0.3-1.fc19
    libreport-filesystem  
    ruby(abi) = 1.9.1
    ruby(rubygems)  

rubygem-abrt-doc-0.0.3-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    rubygem-abrt = 0.0.3-1.fc19

Provides
--------
rubygem-abrt-0.0.3-1.fc19.noarch.rpm:
    
    config(rubygem-abrt) = 0.0.3-1.fc19
    rubygem(abrt) = 0.0.3
    rubygem-abrt = 0.0.3-1.fc19

rubygem-abrt-doc-0.0.3-1.fc19.noarch.rpm:
    
    rubygem-abrt-doc = 0.0.3-1.fc19

MD5-sum check
-------------
http://rubygems.org/gems/abrt-0.0.3.gem :
  CHECKSUM(SHA256) this package     : d0112a90e8025194f65d1f38c56a0a5dadbc6a6eb28bbfe36176b4ebfdf8b12c
  CHECKSUM(SHA256) upstream package : d0112a90e8025194f65d1f38c56a0a5dadbc6a6eb28bbfe36176b4ebfdf8b12c


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -n rubygem-abrt
External plugins:


Approved.

Comment 3 Vít Ondruch 2012-09-20 07:53:32 UTC
Thank you for your review!



New Package SCM Request
=======================
Package Name: rubygem-abrt
Short Description: ABRT support for Ruby
Owners: vondruch
Branches: f18
InitialCC:

Comment 4 Gwyn Ciesla 2012-09-20 10:46:24 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-09-20 14:02:54 UTC
rubygem-abrt-0.0.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-abrt-0.0.3-1.fc18

Comment 6 Fedora Update System 2012-09-22 06:30:39 UTC
rubygem-abrt-0.0.3-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 7 Fedora Update System 2012-09-25 16:39:49 UTC
rubygem-abrt-0.0.3-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.